Package org.eclipse.net4j.util.collection

# Class BidiMapper<T1,T2>

java.lang.Object
org.eclipse.net4j.util.collection.BidiMapper<T1,T2>

@Deprecated public class BidiMapper<T1,T2> extends Object
Deprecated.
As of 3.6 use `BidiMap`.

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`BidiMapper()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Deprecated.
`T2`
`lookup1(T1 v1)`
Deprecated.
`T1`
`lookup2(T2 v2)`
Deprecated.
`void`
`map(T1 v1, T2 v2)`
Deprecated.
`boolean`
`remove1(T1 v1)`
Deprecated.
`boolean`
`remove2(T2 v2)`
Deprecated.
`int`
`size()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BidiMapper

public BidiMapper()
Deprecated.

## Method Details

### map

public void map(T1 v1, T2 v2)
Deprecated.

### size

public int size()
Deprecated.

### clear

public void clear()
Deprecated.

### lookup1

public T2 lookup1(T1 v1)
Deprecated.

### lookup2

public T1 lookup2(T2 v2)
Deprecated.

### remove1

public boolean remove1(T1 v1)
Deprecated.

### remove2

public boolean remove2(T2 v2)
Deprecated.